import { defineComponent as m, computed as _, ref as u, createElementBlock as s, openBlock as i, createElementVNode as t, normalizeStyle as p, Fragment as v, renderList as h, toDisplayString as o, renderSlot as f } from "vue";
import { timelineListData as g } from "./model/index.js";
const L = { class: "CiTimeLineList" }, y = { class: "TimelineList-content" }, k = { class: "item-left" }, C = { class: "item-left-title" }, S = ["title"], T = { class: "item-right" }, w = { class: "item-right-time" }, B = {
  name: "CiTimeLineList"
}, $ = /* @__PURE__ */ m({
  ...B,
  props: {
    data: { default: () => g }
  },
  setup(d) {
    const a = d, r = _(() => `${46 * (a.data.length - 1)}px`), c = u({
      // 高度为所有项数 - 1 乘以每一项的高度
      height: r
    });
    return (l, n) => (i(), s("div", L, [
      t("div", y, [
        t("div", {
          class: "link-line",
          style: p(c.value)
        }, null, 4),
        (i(!0), s(v, null, h(l.data, (e) => (i(), s("div", {
          class: "time-line-item",
          key: e.id
        }, [
          t("div", k, [
            n[0] || (n[0] = t("div", { class: "item-left-round" }, [
              t("div", { class: "round-one" }),
              t("div", { class: "round-two" }),
              t("div", { class: "round-three" })
            ], -1)),
            t("div", C, [
              t("span", {
                class: "span-title",
                title: e.title
              }, o(e.title), 9, S)
            ])
          ]),
          t("div", T, [
            t("div", w, o(e.time), 1),
            f(l.$slots, "slot-right", { row: e }, void 0, !0)
          ])
        ]))), 128))
      ])
    ]));
  }
});
export {
  $ as default
};
